Package org.lwjgl.opengles

# Class EXTMultiviewDrawBuffers

java.lang.Object
org.lwjgl.opengles.EXTMultiviewDrawBuffers

public final class EXTMultiviewDrawBuffers extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_ATTACHMENT_EXT`
Accepted by the <location> parameter of DrawBuffersIndexedEXT:
`static final int`
`GL_DRAW_BUFFER_EXT`
Accepted by the <target> parameter of GetIntegeri_EXT:
`static final int`
`GL_MAX_MULTIVIEW_BUFFERS_EXT`
Accepted by the <target> parameter of GetInteger:
`static final int`
`GL_MULTIVIEW_EXT`
Accepted by the <location> parameter of DrawBuffersIndexedEXT:
`static final int`
`GL_READ_BUFFER_EXT`
Accepted by the <target> parameter of GetIntegeri_EXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDrawBuffersIndexedEXT(IntBuffer location, IntBuffer indices)`
`static int`
`glGetIntegerEXT(int value, int index)`
Overloads glGetIntegeri_vEXT.
`static void`
`glGetIntegerEXT(int target, int index, IntBuffer data)`
`static void`
`glReadBufferIndexedEXT(int src, int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COLOR_ATTACHMENT_EXT

public static final int GL_COLOR_ATTACHMENT_EXT
Accepted by the <location> parameter of DrawBuffersIndexedEXT:

See Also:
  - Constant Field Values

### GL_MULTIVIEW_EXT

public static final int GL_MULTIVIEW_EXT
Accepted by the <location> parameter of DrawBuffersIndexedEXT:

See Also:
  - Constant Field Values

### GL_DRAW_BUFFER_EXT

public static final int GL_DRAW_BUFFER_EXT
Accepted by the <target> parameter of GetIntegeri_EXT:

See Also:
  - Constant Field Values

### GL_READ_BUFFER_EXT

public static final int GL_READ_BUFFER_EXT
Accepted by the <target> parameter of GetIntegeri_EXT:

See Also:
  - Constant Field Values

### GL_MAX_MULTIVIEW_BUFFERS_EXT

public static final int GL_MAX_MULTIVIEW_BUFFERS_EXT
Accepted by the <target> parameter of GetInteger:

See Also:
  - Constant Field Values

## Method Details

### glReadBufferIndexedEXT

public static void glReadBufferIndexedEXT(int src, int index)

### glDrawBuffersIndexedEXT

public static void glDrawBuffersIndexedEXT(IntBuffer location, IntBuffer indices)

### glGetIntegerEXT

public static void glGetIntegerEXT(int target, int index, IntBuffer data)

### glGetIntegerEXT

public static int glGetIntegerEXT(int value, int index)
Overloads glGetIntegeri_vEXT.